Skip to content
Last updated

Retry processing for a failed file in a knowledge store.

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/stores/{store_id}/files/{file_id}/retry

Resets the processing status of a file to pending and re-enqueues it for processing. Use this after a file has failed processing to attempt it again.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

store_id string required

The unique identifier of the vector store.

file_id string required

The unique identifier of the file (format: file_*).


Returns

The updated processing status object with status reset to pending.

cURL
curl -X POST "https://api.aitronos.com/v1/organizations/org_xyz789/stores/vs_abc123/files/file_abc123def456/retry" \
  -H "Authorization: Bearer $ACCESS_TOKEN"